Will the GM version of iOS4 ipsw work with beta5-3 or beta5-1? On redsn0w 0.9.5b5-1 It takes a long time for the reboot after the first stage, and i think the ispw is the GM version. Secondly with redsn0w 0.9.5-3, it says thet the ipsw is wrong even though i used the beta 1 version. Do i need the beta 4 version or something? Help please?